%define name oracle-validated
%define version 1.0.0
%define release 5.el5

Summary: Verifies and sets system parameters based on Oracle validated configuration recommendations for OEL5
Name: %{name}
Version: %{version}
Release: %{release}
Group: Test Environment/Libraries
License: GPL
Vendor:Oracle
Source: %{name}-%{version}.tar.gz
Patch0:%{name}-%{version}-11g.patch
Provides: %{name} = %{version}

Requires:enterprise-release >= 6:5
Requires:enterprise-release < 6:6

Requires:procps module-init-tools ethtool initscripts 
Requires:binutils  control-center  gcc gcc-c++ glibc-common  glibc-headers kernel-headers libaio-devel make sysstat  elfutils-libelf-devel unixODBC-devel xorg-x11-xinit 

Requires:compat-gcc-34 compat-gcc-34-c++ util-linux ksh

%ifarch i386 i486 i586 i686
Requires:compat-db compat-libstdc++-33 glibc glibc-devel libgcc libstdc++ libstdc++-devel libaio setarch unixODBC gdbm libXp libgnome
%endif

%ifarch x86_64
Requires:libdb-4.2.so()(64bit)  libstdc++.so.5()(64bit) libstdc++.so.5  libc.so.6 libc.so.6()(64bit) /usr/lib/libc.so /usr/lib64/libc.so libgcc_s.so.1 libgcc_s.so.1()(64bit) libstdc++.so.6 libstdc++.so.6()(64bit) /usr/lib/gcc/x86_64-redhat-linux/4.1.1/libstdc++.a libaio.so.1()(64bit) /usr/lib/libaio.so.1 libXp.so.6 libodbc.so.1()(64bit) libgdbm.so.2()(64bit) /usr/lib64/libgnome-2.so.0 /usr/lib/libXtst.so.6
%endif 


BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
This package verifies and sets system parameters based on Oracle validated configuration recommendations for Oracle Enterprise Linux Release 5
Files affected: /etc/sysctl.conf, /etc/security/limits.conf, /etc/modprobe.conf, /boot/grub/grub.conf
For changes to modules, this package installation will modify module paramters and re-insert. 

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q

%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
install -m 755 oracle-validated-verify $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 755 oracle-validated-verify $RPM_BUILD_ROOT/usr/bin
install -m 644 oracle-validated.params $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
ln -f -s /etc/sysconfig/%{name}/oracle-validated-verify /usr/bin/oracle-validated-verify 2> /dev/null; 
/usr/bin/oracle-validated-verify 2> /dev/null 1>&2

%preun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -x /usr/bin/oracle-validated-verify ]; then
   /usr/bin/oracle-validated-verify -u 2> /dev/null 1>&2
 fi
fi
%postun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -d /etc/sysconfig/%{name} ]; then
   rm /usr/bin/oracle-validated-verify 2> /dev/null
   rm -rf /etc/sysconfig/%{name} 2> /dev/null
 fi
fi

%files
%defattr(-,root,root)
%config /etc/sysconfig/%{name}/oracle-validated.params
/etc/sysconfig/%{name}/oracle-validated-verify
/usr/bin/oracle-validated-verify

%changelog
* Mon Dec 24 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added libaio and libstdc++ 32 bit dependency in spec file for 11g support
      - Fixed parsing issue with RC edited sysctl file and 11g kernel param change in 11g patch
* Thu Aug 20 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added enterprise-release dependency to fix el4/5 cross install issue
      - Added /usr/lib/libXtst.so.6 dependency for x86-64 to fix 10.2.0.1 OUI issue
      - Added xorg-x11-xinit dependency. As package is missing in minimum installs
      - Removed fontconfig dependency as issue has been fixed in el5
* Thu Aug 1 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Removed root from install steps in spec file for mock build
* Thu Jul 31 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Replaced Copyright tag with License in spec file
* Thu Jul 19 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added unixODBC and unixODBC-devel dependencies
      - Fixed shmmax issue with 32 bit machines with large RAM
      - Made package name changes for el5
* Thu Feb 27 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added fontconfig >= 2.2.3-7.0.1 fontconfig md5 sum issue fixed in this version
      - Changed release name to 3.el4
* Thu Feb 20 2007 Srinivas Maturi  <srinivas.maturi@oracle.com>
      - Bumped the release number from 2 to 3
* Thu Feb 20 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Incorporated i386 compat-libstdc++-33 dependency
      - Added elfutils-libelf-devel to dependency list
* Thu Feb 20 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Fix for cross arch dependency bug 2115
      - Suppress insmod output during install. redirect to logfile
      - Add Vendor tag to RPM spec
      - Moved rollback of config file changes during uninstall from spec file to script 
